Index: BOOK/general.ent
===================================================================
--- BOOK/general.ent	(revision 92581b4d69b02144bcded45c7955bfa8b2f2b0f8)
+++ BOOK/general.ent	(revision 1c35609a7fd5a83ac17795900404b44d1d27b39f)
@@ -3,5 +3,5 @@
 <!ENTITY month "06"> <!-- Use two digits -->
 <!ENTITY month_name "June">
-<!ENTITY day "19"> <!-- Use two digits -->
+<!ENTITY day "22"> <!-- Use two digits -->
 <!ENTITY year "2011"> <!-- Use four digits -->
 
Index: BOOK/introduction/common/changelog.xml
===================================================================
--- BOOK/introduction/common/changelog.xml	(revision 92581b4d69b02144bcded45c7955bfa8b2f2b0f8)
+++ BOOK/introduction/common/changelog.xml	(revision 1c35609a7fd5a83ac17795900404b44d1d27b39f)
@@ -36,4 +36,19 @@
     </listitem>
 -->
+
+      <para>June 22, 2011</para>
+      <itemizedlist>
+        <listitem>
+          <para>[Jonathan] - Removed reference to delete CLooG-PPL patch.</para>
+        </listitem>
+        <listitem>
+          <para>[Jonathan] - Fixed download link for Util-Linux and Patch.</para>
+        </listitem>
+        <listitem>
+          <para>[Jonathan] - Fixed Md5sums for various patches and packages.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
 
     <listitem>
Index: BOOK/materials/common/patches.xml
===================================================================
--- BOOK/materials/common/patches.xml	(revision 92581b4d69b02144bcded45c7955bfa8b2f2b0f8)
+++ BOOK/materials/common/patches.xml	(revision 1c35609a7fd5a83ac17795900404b44d1d27b39f)
@@ -25,13 +25,4 @@
         url="&patches-root;&bash-branch_update-patch;"/></para>
         <para>MD5 sum: <literal>&bash-branch_update-patch-md5;</literal></para>
-      </listitem>
-    </varlistentry>
-
-    <varlistentry>
-      <term>CLooG-PPL Autogen Patch - <token>&cloog-ppl-autogen-patch-size;</token>:</term>
-      <listitem>
-        <para>Download: <ulink
-        url="&patches-root;&cloog-ppl-autogen-patch;"/></para>
-        <para>MD5 sum: <literal>&cloog-ppl-autogen-patch-md5;</literal></para>
       </listitem>
     </varlistentry>
Index: BOOK/packages.ent
===================================================================
--- BOOK/packages.ent	(revision 92581b4d69b02144bcded45c7955bfa8b2f2b0f8)
+++ BOOK/packages.ent	(revision 1c35609a7fd5a83ac17795900404b44d1d27b39f)
@@ -330,5 +330,5 @@
 <!ENTITY patch-version "2.6.1">
 <!ENTITY patch-size "248 KB">
-<!ENTITY patch-url "&gnu;patch/patch-&patch-version;.tar.gz">
+<!ENTITY patch-url "&gnu;patch/patch-&patch-version;.tar.bz2">
 <!ENTITY patch-md5 "0818d1763ae0c4281bcdc63cdac0b2c0">
 <!ENTITY patch-home "http://savannah.gnu.org/projects/patch">
@@ -438,6 +438,6 @@
 <!ENTITY uname_hack-home " ">
 
-<!ENTITY util-linux-major-version "2.19.1">
-<!ENTITY util-linux-version "&util-linux-major-version;">
+<!ENTITY util-linux-major-version "2.19">
+<!ENTITY util-linux-version "&util-linux-major-version;.1">
 <!ENTITY util-linux-size "4,397 KB">
 <!ENTITY util-linux-url "&kernel;linux/utils/util-linux/v&util-linux-major-version;/util-linux-&util-linux-version;.tar.bz2">
Index: BOOK/patches.ent
===================================================================
--- BOOK/patches.ent	(revision 92581b4d69b02144bcded45c7955bfa8b2f2b0f8)
+++ BOOK/patches.ent	(revision 1c35609a7fd5a83ac17795900404b44d1d27b39f)
@@ -8,8 +8,4 @@
 <!ENTITY bash-branch_update-patch-md5 "6aef48cfd93b9109358eae0be9125946">
 <!ENTITY bash-branch_update-patch-size "16 KB">
-
-<!ENTITY cloog-ppl-autogen-patch "cloog-ppl-&cloog-ppl-version;-autogen-1.patch">
-<!ENTITY cloog-ppl-autogen-patch-md5 "7e571071c0105f012bbe41f97f8d1da8">
-<!ENTITY cloog-ppl-autogen-patch-size "624 KB">
 
 <!ENTITY coreutils-uname-patch "coreutils-&coreutils-version;-uname-1.patch">
@@ -58,5 +54,5 @@
 
 <!ENTITY perl-libc-patch "perl-&perl-version;-libc-1.patch">
-<!ENTITY perl-libc-patch-md5 "d572b0cc87b35f1806fd84f88803fb66">
+<!ENTITY perl-libc-patch-md5 "6efb1ffa5a6961c239024c445e0adc9a">
 <!ENTITY perl-libc-patch-size "4 KB">
 
@@ -88,5 +84,5 @@
 
 <!ENTITY iproute2-libdir-patch "iproute2-&iproute2-version;-libdir-1.patch">
-<!ENTITY iproute2-libdir-patch-md5 "8f0e794b7302e9de54f844488dfe1dce">
+<!ENTITY iproute2-libdir-patch-md5 "b901c549615739b28db8b4a2126049ce">
 <!ENTITY iproute2-libdir-patch-size "4 KB">
 
